#ifdef GL_ES
#define LOWP lowp
    precision mediump float;
#else
    #define LOWP
#endif

varying vec2 v_texCoords;
varying vec4 v_color;
uniform sampler2D u_texture;
uniform sampler2D u_textureMask;

void main()
{
    vec4 c = texture2D(u_texture, v_texCoords);
    c.a *= texture2D(u_textureMask, v_texCoords).a;
	gl_FragColor = v_color *c;
}